curl --request GET \
--url https://api.jup.ag/tokens/v2/search \
--header 'x-api-key: <api-key>'[
{
"id": "JUPyiwrYJFskUPiHa7hkeR8VUtAeFoSYbKedZNsDvCN",
"name": "Jupiter",
"symbol": "JUP",
"icon": "https://static.jup.ag/jup/icon.png",
"decimals": 6,
"tokenProgram": "TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA",
"createdAt": "2024-06-07T10:56:42.584Z",
"twitter": "https://twitter.com/JupiterExchange",
"website": "https://jup.ag",
"dev": "JUPhop9E8ZfdJ5FNHhxQt4uAih822Vs4QpqsWcewFbq",
"circSupply": 3243891294.88,
"totalSupply": 6863982654.38,
"firstPool": {
"id": "2pspvjWWaf3dNgt3jsgSzFCNvMGPb7t8FrEYvLGjvcCe",
"createdAt": "2024-01-29T17:33:29Z"
},
"holderCount": 857254,
"audit": {
"mintAuthorityDisabled": true,
"freezeAuthorityDisabled": true,
"topHoldersPercentage": 15.45,
"devMints": 1
},
"organicScore": 97.98,
"organicScoreLabel": "high",
"isVerified": true,
"tags": [
"community",
"strict",
"verified"
],
"fdv": 971593450.82,
"mcap": 459171256.1,
"usdPrice": 0.1415,
"priceBlockId": 402118601,
"liquidity": 2992387.89,
"stats24h": {
"priceChange": -8.27,
"holderChange": -0.03,
"liquidityChange": -6.96,
"volumeChange": 30.39,
"buyVolume": 1821969.64,
"sellVolume": 2016195.15,
"numBuys": 33979,
"numSells": 31608,
"numTraders": 5174
},
"updatedAt": "2026-02-23T04:55:12.461Z"
}
]Search
Request a search by token’s symbol, name or mint address
curl --request GET \
--url https://api.jup.ag/tokens/v2/search \
--header 'x-api-key: <api-key>'[
{
"id": "JUPyiwrYJFskUPiHa7hkeR8VUtAeFoSYbKedZNsDvCN",
"name": "Jupiter",
"symbol": "JUP",
"icon": "https://static.jup.ag/jup/icon.png",
"decimals": 6,
"tokenProgram": "TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA",
"createdAt": "2024-06-07T10:56:42.584Z",
"twitter": "https://twitter.com/JupiterExchange",
"website": "https://jup.ag",
"dev": "JUPhop9E8ZfdJ5FNHhxQt4uAih822Vs4QpqsWcewFbq",
"circSupply": 3243891294.88,
"totalSupply": 6863982654.38,
"firstPool": {
"id": "2pspvjWWaf3dNgt3jsgSzFCNvMGPb7t8FrEYvLGjvcCe",
"createdAt": "2024-01-29T17:33:29Z"
},
"holderCount": 857254,
"audit": {
"mintAuthorityDisabled": true,
"freezeAuthorityDisabled": true,
"topHoldersPercentage": 15.45,
"devMints": 1
},
"organicScore": 97.98,
"organicScoreLabel": "high",
"isVerified": true,
"tags": [
"community",
"strict",
"verified"
],
"fdv": 971593450.82,
"mcap": 459171256.1,
"usdPrice": 0.1415,
"priceBlockId": 402118601,
"liquidity": 2992387.89,
"stats24h": {
"priceChange": -8.27,
"holderChange": -0.03,
"liquidityChange": -6.96,
"volumeChange": 30.39,
"buyVolume": 1821969.64,
"sellVolume": 2016195.15,
"numBuys": 33979,
"numSells": 31608,
"numTraders": 5174
},
"updatedAt": "2026-02-23T04:55:12.461Z"
}
]Documentation Index
Fetch the complete documentation index at: https://dev.jup.ag/docs/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Get API key via https://developers.jup.ag/portal
Query Parameters
- Search for a token and its information by its symbol, name or mint address
- Comma-separate to ONLY search for multiple mint addresses
- Limit to 100 mint addresses in query
- Default to 20 mints in response when searching via symbol or name
Response
Successful response
The token's mint address
URL to the token's logo image
The token program address (SPL Token or Token-2022)
Token creation timestamp
The token's developer wallet address
Mint authority address (present when mint authority is not disabled)
Freeze authority address (present when freeze authority is not disabled)
Fully diluted valuation in USD
Market cap in USD
Solana block number for the price data point
Total liquidity in USD
APY data, only present for assets listed on Jupiter Lend's Earn
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Audit information. All sub-fields are conditional and vary per token.
Show child attributes
Show child attributes
Organic trading activity score (0-100)
high, medium, low Last data update timestamp
Was this page helpful?
